package cn.timer.api.dto.kqmk;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DailyDetailsDto {

	private String name;// 姓名
	private Integer num;// 工号
	private String dept;// 部门
	private String post;// 岗位
	private Integer orgcode;// 岗位
	private String attname;// 考勤组名称
	private Integer attpbfs;// 排班方式（1：固定排班；2：自由排班；3：自由工时）
	private String attdate;// 考勤日期
	private Integer userid;// 用户ID
	private String data;// 日期

	private String address;// 打卡地址
	private String remarks;// 打卡备注
	private Integer cardtype;// 打卡类型（1：GPS，2：WIFI，3：考勤机）
	private String macaddress;// WIFI打卡地址
	private String macname;// WIFI打卡名称

	private Integer bcszid;
	private String bcname;
	private String bcsbdk1;
	private String bcxbdk1;
	private String bcsbdk2;
	private String bcxbdk2;
	private String bcsbdk3;
	private String bcxbdk3;
	private Integer isxbdk;
	
	private Integer dktj1;
	private Integer dktj2;
	private Integer dktj3;
	private Integer dktj4;
	private Integer dktj5;
	private Integer dktj6;

	private String sbdk1;// 上班1打卡时间
	private Integer sbdk1jg;// 上班1打卡结果
	private String xbdk1;// 下班1打卡时间
	private Integer xbdk1jg;// 下班1打卡结果
	private String sbdk2;// 上班2打卡时间
	private Integer sbdk2jg;// 上班2打卡结果
	private String xbdk2;// 下班2打卡时间
	private Integer xbdk2jg;// 下班2打卡结果
	private String sbdk3;// 上班3打卡时间
	private Integer sbdk3jg;// 上班3打卡结果
	private String xbdk3;// 下班3打卡时间
	private Integer xbdk3jg;// 下班3打卡结果
	
	private Integer sbcdzs;// 迟到总数
	private Integer xbztzs;// 早退总数
	
	private Integer ydkcs;// 应打卡次数
	private Integer gzsc;// 工作时长
	private Integer qyid;// 企业id
	private String dksj;// 打卡时间
	private Integer yzcdcs;// 严重迟到次数
	private Integer yzcdsc;// 严重迟到时长（分钟）
	private Integer kgcdfzs;// 旷工迟到次数
	private String daysonduty;// 应出勤天数
	private String daysoff;// 休息天数
	private String lengthbusinesstrip;// 出差时长
	private String timeout;// 外出时长
	private String totalovertimehours;// 加班总时长
	private String workingturncompenleave;// 工作日（转调休）
	private String restturncompenleave;// 休息日（转调休）
	private String holidayturncompenleave;// 节假日（转调休）
	private String workingtransferovertime;// 工作日（转加班费）
	private String resttransferovertime;// 休息日（转加班费）
	private String holidaytransferovertime;// 节假日（转加班费）
	private Integer leaverulesid;//
	private String duration;//

	@ApiModelProperty(value = "表数据", example = "字段说明")
	List<BalanceSheetDataDto> balanceTo;
}
